/**
 * Created by liaili on 16/8/1.
 */

/**
 * callback
 * @param something
 */
// function learn(something){
//     console.log(something)
// }
// function we(callback,something){
//     something += 'is cool!';
//     callback(something);
// }
// we(learn, 'Nodejs');

/**
 * asynic
 */
// var a=0;
// function print(){
//     console.log(a);
// }
// function plusIt(callback){
//     setTimeout(function(){
//         a++;
//         callback();
//     },1000)
// }
//
// plusIt(print());

/**
 * 作用域和上下文
 */
function pet(words) {
    this.words = words;
    console.log(this);
    console.log(this.words)
}
pet('...');
